#ifndef I2CEEPROM_H_
#define I2CEEPROM_H_

enum Errors {
	errBus = -2,
	errNotAck = -1,
};

void I2CEEpromInit();
int I2CEEPromRead(uint16_t eeAddr, void* buff, uint16_t len);
int I2CEEPromWrite(uint16_t eeAddr, const void* buff, uint16_t len);
int I2CEEPromCompare(uint16_t eeAddr, const void* buff, uint16_t len);

#endif	/* #ifndef I2CEEPROM_H_ */
